package com.tanpu.community.feign.wxcp;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboDetailVO;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboListResp;
import com.tanpu.community.feign.zhibo.FeignClientForZhibo;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@Slf4j
@Component
public class FeignbackForWxcp implements FallbackFactory<FeignClientForWxcp> {

    @Override
    public FeignClientForWxcp create(Throwable throwable) {
        return new FeignClientForWxcp() {

            @Override
            public CommonResp sendMessage(Long agentId, String corpId, String requestBody) {
                log.error("请求信息", throwable);
                log.error("FeignClientForWxcp.sendMessage-agentId:{}, corpId:{}, request:{}", agentId, corpId, requestBody);
                return CommonResp.error();
            }
        };
    }
}
